Package com.google.android.exoplayer2.source.dash.manifest

## Class BaseUrl

- java.lang.Object
- - com.google.android.exoplayer2.source.dash.manifest.BaseUrl

-     public final class BaseUrl
      extends Object

  A base URL, as defined by ISO 23009-1, 2nd edition, 5.6. and ETSI TS 103 285 V1.2.1, 10.8.2.1

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DEFAULT_DVB_PRIORITY` | The default priority.
    `static int` | `DEFAULT_WEIGHT` | The default weight.
    `int` | `priority` | The priority.
    `static int` | `PRIORITY_UNSET` | Constant representing an unset priority in a manifest that does not declare a DVB profile.
    `String` | `serviceLocation` | The service location.
    `String` | `url` | The URL.
    `int` | `weight` | The weight.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseUrl​(String url)` | Creates an instance with `an unset priority`, `default weight` and using the URL as the service location.
    `BaseUrl​(String url, String serviceLocation, int priority, int weight)` | Creates an instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_WEIGHT

          public static final int DEFAULT_WEIGHT

      The default weight.
      See Also:
        Constant Field Values

    - #### DEFAULT_DVB_PRIORITY

          public static final int DEFAULT_DVB_PRIORITY

      The default priority.
      See Also:
        Constant Field Values

    - #### PRIORITY_UNSET

          public static final int PRIORITY_UNSET

      Constant representing an unset priority in a manifest that does not declare a DVB profile.
      See Also:
        Constant Field Values

    - #### url

          public final String url

      The URL.

    - #### serviceLocation

          public final String serviceLocation

      The service location.

    - #### priority

          public final int priority

      The priority.

    - #### weight

          public final int weight

      The weight.

  - ### Constructor Detail

    - #### BaseUrl

          public BaseUrl​(String url)

      Creates an instance with `an unset priority`, `default weight` and using the URL as the service location.

    - #### BaseUrl

          public BaseUrl​(String url,
                         String serviceLocation,
                         int priority,
                         int weight)

      Creates an instance.

  - ### Method Detail

    - #### equals

          public boolean equals​(@Nullable
                                Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`